<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [getServerMaxMoney](./bitburner.ns.getservermaxmoney.md)

## NS.getServerMaxMoney() method

Get the maximum money available on a server.

**Signature:**

```typescript
getServerMaxMoney(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of target server. |

**Returns:**

number

Maximum amount of money available on the server.

## Remarks

RAM cost: 0.1 GB

Returns the maximum amount of money that can be available on a server.

